@import url('https://fonts.googleapis.com/css?family=Work+Sans:300,600');



*, *::before, *::after {
  box-sizing: border-box;
}

body {
	margin: 0;
    
	font-family: 'Work Sans', sans-serif;
    font-weight: 400;
    background-repeat: no-repeat;
    background-position: center center;
}
.section1{
  height: 100vh;
  width: 100%; 
  background-image: url("Images/main-hero-desktop.jpg");
  background-size: cover;
}
.section2{
  height: 100vh;
  width: 100%; 
  background-image: url("Images/tesla-solar-roof-powerwall-home-lifestyle-e1531926650194.jpg");
  background-size: cover;
}
.section3{
  height: 100vh;
  width: 100%; 
  background-image: url("Images/Model-3-Performance-Midnight-Silver-Tarmac-Motion-e1533132966324.jpg");
  background-size: cover;
}
.content {
  display: grid;
  place-items: center;
}

/* navigation styles start here */

header {
  background: transparent;
  text-align: center;
  position: fixed;
  z-index: 999;
  width: 100%;
  display: grid;
  grid-template-columns: 120px auto minmax(600px, 2fr) 260px;
}

.nav-toggle {
  position: absolute !important;
  top: -9999px !important;
  left: -9999px !important;
}

.nav-toggle:focus ~ .nav-toggle-label {
  outline: 3px solid rgba(lightblue, .75);
}

.nav-toggle-label {
  position: absolute;
  top: 0;
  right: 0;
  margin-right: 1em;
  height: 100%;
  display: flex;
  align-items: center;
}

.nav-toggle-label span,
.nav-toggle-label span::before,
.nav-toggle-label span::after {
  display: block;
  background: white;
  height: 2px;
  width: 2em;
  border-radius: 2px;
  position: relative;
}

.nav-toggle-label span::before,
.nav-toggle-label span::after {
  content: '';
  position: absolute;
}

.nav-toggle-label span::before {
  bottom: 7px;
}

.nav-toggle-label span::after {
  top: 7px;
}

nav {
  position: absolute;
  text-align: left;
  top: 100%;
  right: 0;
  
  width: 30%;
  transform: scale(1, 0);
  transform-origin: top;
  transition: transform 400ms ease-in-out;
}

nav ul {
  list-style: none;
}

nav li {
  margin-bottom: 1em;
  margin-left: 1em;
}

nav a {
  color: white;
  text-decoration: none;
  font-size: 1.0rem;
  font-weight: bold;
  text-transform: uppercase;
  opacity: 0;
  transition: opacity 150ms ease-in-out;
}

nav a:hover {
  color: #000;
}

.nav-toggle:checked ~ nav {
  transform: scale(1,1);
}

.nav-toggle:checked ~ nav a {
  opacity: 1;
  transition: opacity 250ms ease-in-out 250ms;
}
.nav-right{
    all: unset; 
    position: relative;
    text-align: left;
    transition: none;
    transform: scale(1,1);
    background: none;
    top: initial;
    left: initial;    
    grid-column: 4 / 4;
    display: flex;
    justify-content: center;
    align-items: center;

}
.nav-right ul{
    padding:0;
}
img#logo {
    grid-column: 2 / 3;
    margin-left: 1rem;
    margin-top: 1rem;
}

/* .btn-container {
  text-align: center;
  position: absolute;
  top: 80%;
  left: 5%;
} */
.section1 .buttonR {
  position:absolute;
  background-color: white;
  width: 30em;
  height:3em;
  top: 78%;
  border-radius: 20rem
}
.section1 .buttonR:hover{
  background-color:transparent;
  color:white;
}

.button {
  position:relative;
  background-color: white;
  width: 30em;
  height:3em;
  top: 10rem;
  border-radius: 20rem
}
h1{
  color:white;
} 
.section1 h1{
  position: relative; 
  margin-top:30rem;
 
  color:white;
}
.section2 h1{
  position: relative; 
  margin-top:40rem;
 
  color:white;
} 

.section3 h1{
  position: relative; 
  margin-top:40rem;
 
  color:white;
} 


@media screen and (min-width: 800px) {
  .nav-toggle-label {
    display: none;
  }

  header {
    
    display: grid;
    grid-template-columns: 120px auto minmax(600px, 2fr) 260px;
}
  

img#logo {

    grid-column: 2 / 3;
    margin-left: 1rem;
    margin-top: 1rem;
}
.nav-right{
    all: unset; 
    position: relative;
    text-align: left;
    transition: none;
    transform: scale(1,1);
    background: none;
    top: initial;
    left: initial;    
    grid-column: 4 / 4;
    display: flex;
    justify-content: center;
    align-items: center;

}
.nav-right ul{
    padding:0;
}
  
  nav {
    all: unset; 
    position: relative;
    text-align: left;
    transition: none;
    transform: scale(1,1);
    background: none;
    top: initial;
    left: initial;    
    grid-column: 3 / 4;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  nav ul {
    display: flex;
  }
  
  nav li {
    margin-left: 1em;
    margin-bottom: 0;
  }
  
  nav a {
    opacity: 1;
    position: relative;
  }
  
  nav a::before {
    content: '';
    display: block;
    height: 5px;
    background: black;
    position: absolute;
    top: -.75em;
    left: 0;
    right: 0;
    transform: scale(0, 1);
    transition: transform ease-in-out 250ms;
  }
  .section1 .buttonR {
    display: block;
  }
  
  nav a:hover::before {
    transform: scale(1,1);
  }

/* html {
    scroll-behavior: smooth;
  }
  
  #section1 {
    height: 600px;
    background-image: url("Images/main-hero-desktop.jpg");
  }
  
  #section2 {
    height: 600px;
    background-color: yellow;
  } */

  .section1 .btn-container {
    text-align: center;
    position: absolute;
    top: 52%;
    left: 37%;
  }

  .section1 .content h1{
    margin-top: 0;
    position: absolute;
    top: 41%;
    left: 46.5%;
    color: white;
  }
  
  .section1 .button {
    width: 17em;
    height:3em;
    background-color: white;
    position: absolute;
    top: 50%;
    border-radius: 20rem
}

.section1 .buttonR {
  width: 17em;
  height:3em;
  background-color:transparent;
  margin-left:16rem;
  color:white;
  position: absolute;
  top: 50%;
  border-radius: 20rem
}

.section1 .buttonR:hover{
  background-color:white;
  color:black;
}

.section2 .btn-container {
  text-align: center;
  position: absolute;
  top: 135%;
  left: 44%;
}

.section2 .content h1{
  margin-top: 0;
  position: absolute;
  top: 124%;
  left: 42.5%;
  color: white;
}

.section2 .button {
  width: 17em;
  height:3em;
  background-color: white;
  position: absolute;
  top: 50%;
  border-radius: 20rem
}

.section2 .button:hover{
background-color:transparent;
color:white;
}

.section3 .btn-container {
  text-align: center;
  position: absolute;
  top: 229%;
  left: 44.5%;
}

.section3 .content h1{
  position: absolute;
  top: 220%;
  left: 42.5%;
  color: white;
  margin-top: 0;
}

.section3 .button {
  width: 17em;
  height:3em;
  background-color: white;
  position: absolute;
  top: 50%;
  border-radius: 20rem
}

.section3 .button:hover{
background-color:transparent;
color:black;
}
}
